> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inbound Receipt



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/logistics/inbound-receipts/{receipt_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/logistics/inbound-receipts/{receipt_id}:
    get:
      tags:
        - Logistics
      summary: Get Inbound Receipt
      operationId: get_inbound_receipt_api_v1_logistics_inbound_receipts__receipt_id__get
      parameters:
        - name: receipt_id
          in: path
          required: true
          schema:
            type: string
            title: Receipt Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InboundReceiptResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    InboundReceiptResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        warehouseLocationId:
          type: string
          title: Warehouselocationid
        warehouseLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Warehouselocationname
        shipmentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentid
        shipmentDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentdocumentid
        orderType:
          anyOf:
            - type: string
            - type: 'null'
          title: Ordertype
          default: bulk
        deliveryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliveryid
        deliveryDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverydocumentid
        receivedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Receivedat
        receivedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Receivedbyid
        status:
          type: string
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        mobileSessionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobilesessionid
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
        lineItemsCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lineitemscount
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/InboundReceiptLineItemResponse'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      required:
        - id
        - documentId
        - warehouseLocationId
        - status
      title: InboundReceiptResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InboundReceiptLineItemResponse:
      properties:
        id:
          type: string
          title: Id
        inboundReceiptId:
          type: string
          title: Inboundreceiptid
        shipmentLineItemId:
          type: string
          title: Shipmentlineitemid
        deliveryLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverylineitemid
        purchaseOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Purchaseorderlineitemid
        logisticsPackageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Logisticspackageid
        logisticsPackageLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Logisticspackagelineitemid
        packageNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Packageno
        packageType:
          anyOf:
            - type: string
            - type: 'null'
          title: Packagetype
        rollNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollnumber
        cartonNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Cartonnumber
        supplierPackageRef:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierpackageref
        lineNumber:
          type: integer
          title: Linenumber
        expectedQty:
          anyOf:
            - type: number
            - type: 'null'
          title: Expectedqty
        receivedQty:
          type: number
          title: Receivedqty
        acceptedQty:
          type: number
          title: Acceptedqty
        damagedQty:
          type: number
          title: Damagedqty
        rejectedQty:
          type: number
          title: Rejectedqty
        uom:
          type: string
          title: Uom
        batchNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Batchnumber
        dyeLot:
          anyOf:
            - type: string
            - type: 'null'
          title: Dyelot
        qualityStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Qualitystatus
        remarks:
          anyOf:
            - type: string
            - type: 'null'
          title: Remarks
        shipmentDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentdescription
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - inboundReceiptId
        - shipmentLineItemId
        - lineNumber
        - receivedQty
        - acceptedQty
        - damagedQty
        - rejectedQty
        - uom
      title: InboundReceiptLineItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````